/* Bootstrap customizations */
:root {
    --bs-dark: #002A57;
    --bs-dark-rgb: 0, 42, 87;
}

.offcanvas-end {
    width: 300px !important;
}

.bg-dark {
    background-color: #CCE5FF !important;
}

.navbar-brand {
    font-size: 1.5rem !important;
}

parse-page,
parse-section,
parse-navigation {
    display: block;
    width: 100%;
}

parse-top-bar {
    display: contents;
}

html {
    font-size: 14px;
    scrollbar-width: none;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

.html-center {
    background: linear-gradient(to bottom, rgba(255, 255, 255, 0.2), rgba(230, 230, 230, 0.9)), url(/img/background.jpg) no-repeat center fixed;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
}

.body-center {
    min-height: calc(100vh);
    background: none !important;
}

.container-fixed-topbar {
    padding-top: calc(64px + 1rem);
}

a .navbar-brand {
    white-space: normal;
    text-align: center;
    word-break: break-all;
}

a {
    color: #0366d6;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.btn-standard {
    min-width: 120px;
}

.btn-outline-hover:hover {
    color: white;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.card:not(:last-child) {
    margin-bottom: 8px;
}

.dropdown-menu li:hover {
    cursor: pointer;
}

.border-top {
    border-top: 1px solid #e5e5e5;
}

.border-bottom {
    border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
    box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
    font-size: 1rem;
    line-height: inherit;
}

.form-swich-large {
    font-size: x-large;
}

.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    white-space: nowrap;
    line-height: 60px; /* Vertically center the text there */
}

.validation-summary-errors {
    margin-bottom: 0;
}

    .validation-summary-errors ul li {
        display: block;
    }

.container-center {
    width: 100%;
    max-width: 530px;
    padding: 15px;
    margin: auto;
}

.form {
    padding: 10px;
    border-radius: 10px;
}

.form-control {
    border-color: #999999
}

.form-shadow {
    box-shadow: 0px 0px 7px 2px !important;
    border-radius: 10px !important;
}

.form-center-vertical {
    left: 50%;
    top: 50%;
    position: absolute;
    transform: translate(-50%, -50%);
}

.navbar-toggler-icon {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba(26, 161, 227, 1)' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e") !important;
}

.navbar-toggler {
    border-color: #1aa1e3 !important;
}

.topbar-logo {
    height: 40px;
    margin-right: 14px;
}

.topbar-flag {
    border-radius: 50px;
    border: #96989a 3px solid;
    width: 36px;
    height: 36px;
}

.title-flag {
    width: 120px;
}

.form-logo {
    width: 100%;
    max-height: 80px;
}

.form-logo-continer {
    margin: 10px;
}

.fieldset {
    padding: 10px;
}

.form-legend {
    color: white;
    font-weight: bold;
    font-size: 62px;
    padding: 10px;
    margin-bottom: 16px;
}

@media only screen and (max-width: 575px) {
    .form-legend {
        font-size: 42px;
    }
}

@media only screen and (max-width: 375px) {
    .form-legend {
        font-size: 32px;
    }
}

@media only screen and (max-width: 300px) {
    .form-legend {
        font-size: 24px;
    }
}

.form-footer {
    background-color: white;
    padding: 8px;
    margin-left: -10px;
    margin-right: -10px;
    margin-top: 8px;
    margin-bottom: -10px;
    border-radius: 0px 0px 10px 10px;
    font-weight: bold;
}

.success-banner {
    background-color: #015804e8;
    padding: 8px;
    color: white;
    font-weight: bold;
    border: solid 1px white;
}

.prompt-banner {
    background-color: #021c66de;
    padding: 8px;
    color: white;
    font-weight: bold;
    border: solid 1px white;
    border-left: none;
    border-right: none;
    border-radius: 6px;
}

.prompt-banner-title {
    font-size: 24px;
}

.menu-icon {
    vertical-align: middle;
}

.menu-item {
    font-size: large;
}

.menu-flag {
    border-radius: 50px;
    border: #96989a 3px solid;
    width: calc(1.375rem + 1.5vw);
    height: calc(1.375rem + 1.5vw);
}

.selectable:hover {
    background-color: lavender;
    cursor: pointer;
}

.status-flag {
    font-style: italic;
    font-size: 16px;
    margin: 10px;
    margin-bottom: 16px;
}

.island {
    padding: 8px;
    border: 1px solid lightgray;
    background: ghostwhite;
}

.island-title {
    margin: 0;
    padding: 8px;
    background-color: #2f2671;
    color: white;
    margin-bottom: 8px;
    margin-left: -8px;
    margin-right: -8px;
}

.user-card {
    margin-bottom: 2px;
}

.user-profile-host-small {
    padding: 4px;
}

.user-profile-image-host-small {
    padding: 4px;
}

.user-profile-text-host-small {
    padding: 4px;
}

.user-profile-image-small {
    width: 40px;
    height: 40px;
    border-radius: 20px;
    background-color: #1ba1e2;
    text-align: center;
    color: white;
    font-size: 20px;
    font-weight: bold;
    padding-top: 4px;
}

.user-profile-text-small {
    margin-top: 5px;
}

.public-profile-background {
    background: linear-gradient(#2f2671, #2f2671), linear-gradient(#f8f9fa, #f8f9fa), linear-gradient(white, white);
    background-size: 100% 50%, 100% 75%, 100% 100%;
    background-repeat: no-repeat;
    margin: 0px;
    border-top-left-radius: .375rem;
    border-top-right-radius: .375rem;
}

.public-profile-name {
    text-align: left;
    margin-top: 50px;
}

.public-profile-name-text {
    color: white;
}

.public-profile-score {
    justify-content: left;
}

@media only screen and (max-width: 768px) {
    .public-profile-background {
        background: linear-gradient(#2f2671, #2f2671), linear-gradient(#f8f9fa, #f8f9fa), linear-gradient(white, white);
        background-size: 100% 78%, 100% 92%, 100% 100%;
        background-repeat: no-repeat;
        margin: 0px;
        border-top-left-radius: .375rem;
        border-top-right-radius: .375rem;
    }

    .public-profile-name {
        text-align: inherit;
        margin-top: unset;
    }

    .public-profile-score {
        justify-content: center;
    }
}

.user-card.active {
    background-color: #2f2671;
    color: white;
}

    .user-card.active:hover {
        background-color: #4e43a1;
    }

.user-drawer {
    padding: 8px;
    background-color: #f2f1ff;
    border-bottom-right-radius: 10px;
    border-bottom-left-radius: 10px;
    border: solid 1px #2f2671;
    margin-top: -4px;
    margin-bottom: 8px;
}

.comment-username {
    display: contents;
    font-weight: bold;
}

.comment-date {
    display: contents;
    font-size: 14px;
}

.comment-action {
    font-size: 14px;
}

    .comment-action:hover {
        text-decoration: underline;
    }

.comment-actionbar {
    width: fit-content;
}

.comment-cancel {
    background-color: transparent;
}

    .comment-cancel:hover {
        background-color: #e3e1fb;
    }

.post-action {
    font-size: 16px;
}

    .post-action:hover {
        text-decoration: underline;
    }

.footer-bar {
    margin: 10px;
    margin-left: 0;
    margin-right: 0;
    padding: 8px;
    text-align: right;
    background-color: #f2f1ff;
    border: solid 1px #d3d3d3;
    display: flex;
    align-items: center;
    justify-content: left;
    min-height: 56px;
}

.footer-command-bar {
    width: fit-content;
}

.footer-status-flag {
    width: auto;
    margin-left: auto;
}

.card-info-tip {
    background: #2f2671;
    color: white;
    font-size: 18px;
    position: sticky;
    margin-top: -36px;
    padding: 4px;
    padding-left: 8px;
    padding-right: 8px;
    width: fit-content;
    float: right;
    border-top: solid 1px whitesmoke;
}

.card-level-tip {
    background: #2f2671;
    color: white;
    font-size: 18px;
    position: absolute;
    margin-top: -30px;
    padding: 4px;
    padding-left: 8px;
    padding-right: 8px;
    width: fit-content;
    top: 35px;
    left: 0;
    border-radius: 30px;
    margin-left: 4px;
    border: 2px solid whitesmoke;
}

.full-image-col {
    position: relative;
}

.full-level-tip {
    background: #2f2671;
    color: white;
    font-size: 18px;
    position: absolute;
    padding: 4px;
    padding-left: 8px;
    padding-right: 8px;
    width: fit-content;
    top: 35px;
    left: 0;
    border-radius: 30px;
    margin-top: -28px;
    margin-left: 18px;
    border: 2px solid whitesmoke;
}

.profile-image {
    width: 300px;
    border-radius: 50%;
    margin-bottom: 10px;
    object-fit: cover;
    height: 300px;
    background-color: #1ba1e2;
    padding: 8px;
}

.profile-image-large {
    width: 150px;
    border-radius: 50%;
    margin-bottom: 10px;
    object-fit: cover;
    height: 150px;
}

.profile-image-medium {
    width: 60px;
    height: 60px;
    background-color: #0d5071;
    border-radius: 50%;
    object-fit: cover;
}

.profile-image-small {
    width: 40px;
    height: 40px;
    background-color: #1ba1e2;
    border-radius: 50%;
    object-fit: cover;
    margin-top: -4px;
    padding: 2px;
}

.profile-points-badge {
    height: 24px;
    margin-top: 15px;
    padding-top: 5px;
}

body .modal-75 {
    min-width: 75% !important;
    width: auto !important;
    display: inline-block !important;
}

.soft-hr {
    margin-top: 6px;
    margin-bottom: 6px;
    border-color: #838383;
}

.touch-point {
    cursor: pointer;
}

.a-plain {
    color: black;
    text-decoration: none;
}

.flag-img {
    padding: 10px;
}

.tab-flag-img {
    width: 40px;
    height: 40px;
    border-radius: 30px;
}

.top-bar {
    background-color: #1BA1E2;
    border-radius: 6px;
    padding: 6px;
    padding-left: 14px;
    padding-right: 10px
}

.top-bar-badge-host {
    font-size: 18px !important;
}

.top-bar-brand {
    color: white !important;
    margin-top: -6px;
}

@media only screen and (max-width: 767px) {
    .top-bar-brand {
        margin-top: unset;
    }
}

.top-bar-search-input {
    background-color: #ffffffab;
    border-color: #7f0583;
    border-width: 2px;
    padding-top: 4px;
    min-width: 120px;
    height: 36px;
}

.top-bar-group {
    min-width: 180px;
}

.top-bar-search-button {
    height: 34px;
    margin-top: 1px;
    padding-top: 3px;
}

@media only screen and (max-width: 575px) {
    .mobile-hidden {
        display: none;
    }
}

.fab-icon {
    font-size: 28px;
    font-weight: bolder;
}

.fab-container {
    position: fixed;
    right: 12px;
    bottom: 12px;
    z-index: 9999999;
}

.second-link {
    z-index: 1;
}

.guided-banner {
    border: none;
    border-radius: unset;
    margin-left: -16px;
    margin-right: -16px;
}

@media only screen and (max-width: 767px) {
    .guided-banner {
        margin-left: -14px;
        margin-right: -14px;
    }
}
